/* Table of constant values */

static int c__2 = 2;
static int c__1 = 1;

int main(void)
{
    /* Builtin functions */
    double sqrt(double);

    /* Local variables */
    static int ierr;
    extern float zp54r_c(int *, int *, float *, int *);
    static float x, r1, r2;

    x = .5f;
    r1 = (float)zp54r_c(&c__2, &c__1, &x, &ierr);

    r2 = (float)sqrt(1 - x * x) * -3 * x;
    printf("\n %15.6e \n", r1);
    printf("\n %15.6e \n", r2);
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

